<template>
  <div class="inline-flex items-center w-full text-black">
    <Dropdown prefix="Cari Berdasarkan" />
    <input
      class="bg-white border border-gray-300 py-2 px-4 block w-full focus:outline-none appearance-none leading-normal"
      type="input"
      placeholder="Cari kebutuhan di sini... (contoh: popok, beras, telur)"
    />
    <Button main class="px-5 py-3 rounded-r-lg">
      <SearchIcon />
    </Button>
  </div>
</template>

<script>
const SearchIcon = () => import('~/components/Icons/search');
const Dropdown = () => import('~/components/Button/dropdown');
export default {
  components: {
    SearchIcon,
    Dropdown,
  },
};
</script>

<style lang="scss" scoped>
.text-black {
  color: $black;
}
</style>
